Subject: [alpine-aports] [PATCH v2] testing/openblas: update to 0.2.17

From: Isaac Dunham <[email-masked]>
Date: Tue, 29 Mar 2016 22:03:04 -0700

Attached is a patch to update testing/openblas to 0.2.17.

This required replacing one use of sys_siglist[] with strsignal().

Also, due to some convolutions of the build system, setting CFLAGS in
the environment rather than passing it to make caused repeated definitions
of CNAME/ASMNAME/ASMFNAME/... in the gcc invocation, making for a very
noisy build.

Thanks,
Isaac Dunham

From a629abe4458599ab57041e5158430e4db4736308 Mon Sep 17 00:00:00 2001
From: Isaac Dunham <[email-masked]>
Date: Fri, 25 Mar 2016 12:05:29 -0700
Subject: [PATCH] testing/openblas: update to 0.2.17

Use strsignal() instead of sys_siglist[].
While here, pass CFLAGS on the command line rather than in the environment
because the latter confuses make.
(This fixes all the warnings about CNAME/ASMNAME/... getting defined
multiple times.)
---
 ...0001-Use-strsignal-instead-of-sys_siglist.patch | 35 ++++++++++++++++++++++
 testing/openblas/APKBUILD                          | 20 ++++++++-----
 2 files changed, 48 insertions(+), 7 deletions(-)
 create mode 100644 testing/openblas/0001-Use-strsignal-instead-of-sys_siglist.patch

diff --git a/testing/openblas/0001-Use-strsignal-instead-of-sys_siglist.patch b/testing/openblas/0001-Use-strsignal-instead-of-sys_siglist.patch
new file mode 100644
index 0000000..6032fc0
--- /dev/null
+++ b/testing/openblas/0001-Use-strsignal-instead-of-sys_siglist.patch
@@ -0,0 +1,35 @@
+From 518435f376fb7b1a1972ea44cd932f1314f34cbf Mon Sep 17 00:00:00 2001
+From: Isaac Dunham <[email-masked]>
+Date: Sat, 26 Mar 2016 21:37:36 -0700
+Subject: [PATCH] Use strsignal() instead of sys_siglist[].
+
+musl libc only implements strsignal().
+POSIX 2008 requires strsignal() but not sys_siglist[], and glibc,
+the BSDs, Solaris, and OS X support both.
+I'm not sure about the status on mingw; as far as I can tell, they
+define strsignal(x) as sys_siglist[x].
+
+Also use snprintf() because it's not strictly guaranteed that signal
+descriptions be any particular length.
+I'm not aware of any signal descriptions over 114 bytes long, so this
+is mostly paranoia.
+---
+ utest/ctest.h | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/utest/ctest.h b/utest/ctest.h
+index a62103f..1deea32 100644
+--- a/utest/ctest.h
++++ b/utest/ctest.h
+@@ -637,7 +637,7 @@ static void *find_symbol(struct ctest *test, const char *fname)
+ static void sighandler(int signum)
+ {
+     char msg[128];
+-    sprintf(msg, "[SIGNAL %d: %s]", signum, sys_siglist[signum]);
++    snprintf(msg, sizeof(msg), "[SIGNAL %d: %s]", signum, strsignal(signum));
+     color_print(ANSI_BRED, msg);
+     fflush(stdout);
+ 
+-- 
+2.7.4
+
diff --git a/testing/openblas/APKBUILD b/testing/openblas/APKBUILD
index 654219f..b2233c3 100644
--- a/testing/openblas/APKBUILD
+++ b/testing/openblas/APKBUILD
@@ -1,8 +1,8 @@
 # Contributor: Isaac Dunham <[email-masked]>
 # Maintainer: Isaac Dunham <[email-masked]>
 pkgname=openblas
-pkgver=0.2.15
-pkgrel=1
+pkgver=0.2.17
+pkgrel=0
 pkgdesc="A fast BSD-licensed BLAS based on gotoBLAS2, with LAPACK"
 url="http://www.openblas.net"
 arch="all"
@@ -12,7 +12,9 @@ depends_dev="gfortran"
 makedepends="$depends_dev perl linux-headers"
 install=""
 subpackages="$pkgname-dev $pkgname-doc"
-source="$pkgname-$pkgver.tar.gz::http://github.com/xianyi/OpenBLAS/archive/v$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::http://github.com/xianyi/OpenBLAS/archive/v$pkgver.tar.gz
+	0001-Use-strsignal-instead-of-sys_siglist.patch
+	"
 
 _builddir="$srcdir"/OpenBLAS-$pkgver
 prepare() {
@@ -39,7 +41,8 @@ FLAGS="USE_OPENMP=0 NO_LAPACK=0 NUM_THREADS=32 MAJOR_VERSION=3 \
 
 build() {
 	cd "$_builddir"
-	make $FLAGS PREFIX=/usr || return 1
+# 
+	CFLAGS= make CFLAGS="$CFLAGS" $FLAGS PREFIX=/usr TOPDIR="$_builddir" || return 1
 }
 
 package() {
@@ -51,6 +54,9 @@ package() {
 		install -m 0644 $FILE "$pkgdir/usr/share/doc/$pkgname" || return 1
 	done
 }
-md5sums="b1190f3d3471685f17cfd1ec1d252ac9  openblas-0.2.15.tar.gz"
-sha256sums="73c40ace5978282224e5e122a41c8388c5a19e65a6f2329c2b7c0b61bacc9044  openblas-0.2.15.tar.gz"
-sha512sums="5b61556a9bd2c622bc31ec7a1b4cbab67740e40c4f0717670b16987d687efdd83d3bd8b2c0b158a8da956ef04665cf9a00b6b1f1619b6353a206a31a5e5d6c9a  openblas-0.2.15.tar.gz"
+md5sums="664a12807f2a2a7cda4781e3ab2ae0e1  openblas-0.2.17.tar.gz
+ddce6ae8c2af85ebdd14e9150960d1c6  0001-Use-strsignal-instead-of-sys_siglist.patch"
+sha256sums="0fe836dfee219ff4cadcc3567fb2223d9e0da5f60c7382711fb9e2c35ecf0dbf  openblas-0.2.17.tar.gz
+4e662d5dd5d03e0067c856d3c359d4306a8fb1ad66c2a70a7cf851decf5fdea3  0001-Use-strsignal-instead-of-sys_siglist.patch"
+sha512sums="ae49294e0d4903d5f385c256956ac950a75cbc4f828a31c7c324e2512831afa955c22d71e965256c355d38e45cde1987ee2babb12ba9ab9e99323e476790b507  openblas-0.2.17.tar.gz
+d3dd7cad2c0bc5414642cf51a46bc57e681c4449bd829bf304c743c44c53f29d90ba0c43233bf5a7cce3e6b057d1c1cef27d0ccffecb50125993b34c913477c8  0001-Use-strsignal-instead-of-sys_siglist.patch"
-- 
2.7.4